Public Class Form1

    ''' <summary>
    ''' Count the characters in a block of text
    ''' </summary>
    ''' <param name="text">The string containing the text to count
    ''' characters in</param>
    ''' <returns>The number of characters in the string</returns>
    ''' <remarks></remarks>
    Private Function CountCharacters(ByVal text As String) As Integer
        Return text.Length
    End Function

    Private Sub txtWords_TextChanged(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles txtWords.TextChanged

        ''Count the number of characters
        'Dim intChars As Integer = CountCharacters(txtWords.Text)

        ''Display the results
        'lblResults.Text = intChars & " characters"

        'Something changed so display the results
        UpdateDisplay()
    End Sub

    ''' <summary>
    ''' Count the number of words in a block of text
    ''' </summary>
    ''' <param name="text">The string containing the text to count
    ''' words in</param>
    ''' <returns>The number of words in the string</returns>
    ''' <remarks></remarks>
    Private Function CountWords(ByVal text As String) As Integer
        'Is the text box empty
        If txtWords.Text = String.Empty Then Return 0

        'Split the words
        Dim strWords() As String = text.Split(" ")

        'Return the number of words
        Return strWords.Length
    End Function

    Private Sub UpdateDisplay()
        'Do we want to count words?
        If radCountWords.Checked = True Then
            'Update the results
            lblResults.Text = CountWords(txtWords.Text) & " words"
        Else
            'Update the results
            lblResults.Text = CountCharacters(txtWords.Text) & " characters"
        End If
    End Sub

    Private Sub radCountWords_CheckedChanged(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles radCountWords.CheckedChanged

        'Something changed so display the results
        UpdateDisplay()
    End Sub

    Private Sub radCountChars_CheckedChanged(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles radCountChars.CheckedChanged

        'Something changed so display the results
        UpdateDisplay()
    End Sub

    Private Sub btnShowMe_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles btnShowMe.Click

        'Display the text contained in the Label control
        MessageBox.Show(lblResults.Text, "Word Counter")
    End Sub
End Class
